# Configuration of Hugo
# Guide: https://wowchemy.com/docs/getting-started/
# Hugo Documentation: https://gohugo.io/getting-started/configuration/#all-configuration-settings
# This file is formatted using YAML syntax - learn more at https://learnxinyminutes.com/docs/yaml/

# Title of your site
title: "Jens True"
baseurl: "https://jcktrue.dk/"
copyright: "&copy; {year} Jens True"

############################
## LANGUAGE
############################

defaultContentLanguage: en
hasCJKLanguage: false
defaultContentLanguageInSubdir: false
removePathAccents: true

############################
## MODULES
############################
module:
  imports:
    - path: github.com/wowchemy/wowchemy-hugo-modules/wowchemy-cms/v5
    - path: github.com/wowchemy/wowchemy-hugo-modules/wowchemy/v5
############################
## ADVANCED
############################

enableGitInfo: true
summaryLength: 30
paginate: 10000  
enableEmoji: true
enableRobotsTXT: true
footnotereturnlinkcontents: "<sup>^</sup>"
ignoreFiles: ["\\.ipynb$", ".ipynb_checkpoints$", "\\.Rmd$", "\\.Rmarkdown$", "_files$", "_cache$"]
disableAliases: true

outputs:
  home: [HTML, RSS, JSON, WebAppManifest, headers, redirects]
  section: [HTML, RSS]

markup:
  defaultMarkdownHandler: goldmark
  goldmark:
    renderer:
      unsafe: true
  highlight:
    codeFences: false
  tableOfContents:
    startLevel: 2
    endLevel: 3


imaging:
  resampleFilter: "lanczos"
  quality: 90
  anchor: smart
timeout: 600000